package domain

type AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity struct {
	/*
	   活动开始时间,时间戳     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   优惠适用场景[APP|POS|POS+APP分别对应的值为1|2|1,2]     */
	Terminals *[]int32 `json:"terminals,omitempty" `

	/*
	   买赠活动详情描述,不超过30个英文字符     */
	Description *string `json:"description,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   参加活动的渠道店ids     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   活动结束时间,时间戳     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   买赠活动名称,不超过10个英文字符     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   会员维度活动参与人群限制[-1:不限制;1:会员专享;2:非会员专享] defalutValue:-1    */
	MemberLimit *int64 `json:"member_limit,omitempty" `

	/*
	   商家人群编码     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   淘鲜达人群编码     */
	TxdCrowdCode *string `json:"txd_crowd_code,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetStartTime(v int64) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.StartTime = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetTerminals(v []int32) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.Terminals = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetDescription(v string) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.Description = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetOutActId(v string) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetShopIds(v []string) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetEndTime(v int64) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.EndTime = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetActivityName(v string) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.ActivityName = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetMemberLimit(v int64) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.MemberLimit = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetMerchantCrowdCode(v string) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity) SetTxdCrowdCode(v string) *AlibabaHmMarketingItembuygiftCreateactivityItemBuyGiftActivity {
	s.TxdCrowdCode = &v
	return s
}
